function love.load(arg)
  setmetatable(_G, {
    __index = require('lib.cargo').init 'assets'
  })

  local gamestate = require 'lib.gamestate'
  gamestate.switch(State.Game)
  gamestate.registerEvents()
end

function love.update(dt)
  Control:update()
end

function love.keypressed(key, isrepeat)
  if key == 'escape' then
    love.event.quit()
  end
end
